# $Revision: 1.107 $, $Date: 2012/03/04 09:07:36 $
# TODO:
# - create aften.spec (aften.sf.net) and use it -D USE_AFTEN=1
# - -ui-cli subpackage?
# - use external spidermonkey (cmake fix needed): Checking for SpiderMonkey -- Skipping check and using bundled version.
# - uses patched ffmpeg
# - don't force -O3 optimization
# - get rid of gcc-bug-mmx-x86 patch
#
# Conditional build:
%bcond_with	esd	# disable EsounD sound support
%bcond_with	arts	# with arts audio output
%bcond_without	amr	# disable Adaptive Multi Rate (AMR) speech codec support
%bcond_without	qt4	# build qt4 interface
%bcond_without	gtk	# build gtk interface

%define		qt4_version	4.2

Summary:	A small audio/video editing software for Linux
Summary(pl.UTF-8):	Mały edytor audio/wideo dla Linuksa
Name:		avidemux
Version:	2.5.5
Release:	9
License:	GPL v2+
Group:		X11/Applications/Multimedia
Source0:	http://downloads.sourceforge.net/avidemux/%{name}_%{version}.tar.gz
# Source0-md5:	33bbe210c6826cea1987ed18a41d57a7
Source1:	%{name}.desktop
Source2:	%{name}-qt4.desktop
Patch0:		gcc44.patch
Patch1:		types.patch
Patch2:		mmx-asm.patch
Patch3:		%{name}-x264.patch
#Patch1:	%{name}-dts_internal.patch
#Patch2:	%{name}-sparc64.patch
URL:		http://fixounet.free.fr/avidemux/
%{?with_qt4:BuildRequires:	QtGui-devel >= %{qt4_version}}
BuildRequires:	SDL-devel
#BuildRequires:	a52dec-libs-devel
BuildRequires:	alsa-lib-devel >= 1.0
%{?with_arts:BuildRequires:	artsc-devel}
BuildRequires:	cmake >= 2.6.2
%{?with_esd:BuildRequires:	esound-devel}
BuildRequires:	faac-devel
BuildRequires:	faad2-devel
BuildRequires:	freetype-devel >= 2.0.0
BuildRequires:	gettext-devel
%{?with_gtk:BuildRequires:	gtk+2-devel >= 1:2.6.0}
BuildRequires:	jack-audio-connection-kit-devel
#BuildRequires:	js-devel(threads)
BuildRequires:	lame-libs-devel
#BuildRequires:	libdca-devel
#BuildRequires:	libdts-devel
#BuildRequires:	libmad-devel
#BuildRequires:	libmpeg3-devel
BuildRequires:	libpng-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libx264-devel
BuildRequires:	libxml2-devel
%{?with_qt4:BuildRequires:	libxslt-progs}
%ifarch %{ix86}
BuildRequires:	nasm >= 0.98.32
%endif
%{?with_amr:BuildRequires:	opencore-amr-devel}
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel
%{?with_qt4:BuildRequires:	qt4-build >= %{qt4_version}}
%{?with_qt4:BuildRequires:	qt4-linguist}
%{?with_qt4:BuildRequires:	qt4-qmake >= %{qt4_version}}
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xvid-devel >= 1:1.0
BuildRequires:	xvidcore-devel
BuildRequires:	zlib-devel
#Requires:	js(threads)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A small audio/video editing software for Linux.

%description -l pl.UTF-8
Mały edytor audio/wideo dla Linuksa.

%package ui-gtk
Summary:	GTK+2 UI for Avidemux
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	desktop-file-utils

%description ui-gtk
GTK+2 UI for Avidemux

%package ui-qt4
Summary:	Qt4 UI for Avidemux
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	desktop-file-utils

%description ui-qt4
Qt4 UI for Avidemux

%prep
%setup -q -n %{name}_%{version}
find '(' -name '*.js' -o -name '*.cpp' -o -name '*.h' -o -name '*.cmake' -o -name '*.txt' ')' -print0 | xargs -0 %{__sed} -i -e 's,\r$,,'
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

echo 'pt_BR' >> po/LINGUAS

# libdir fix
%{__sed} -i -e's,"lib","%{_lib}",' avidemux/main.cpp avidemux/ADM_core/src/ADM_fileio.cpp

%build
TOP=$PWD

# main
install -d build/%{_lib} plugins/build
cd build

export QTDIR=%{_libdir}/qt4
%cmake \
	-DAVIDEMUX_INSTALL_PREFIX=%{_prefix} \
	%{!?with_gtk:-DGTK=0} \
	%{!?with_qt4:-DQT4=0} \
	..

%{__make}

# plugin build expects libraries to be already installed; we fake a prefix
# in build/ by symlinking all libraries to build/lib/
cd %{_lib}
find ../avidemux -name '*.so*' | xargs ln -sft .
cd ../..

# plugins
cd plugins/build
%cmake \
	-DCMAKE_BUILD_TYPE=%{?debug:Debug}%{!?debug:Release} \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DAVIDEMUX_INSTALL_PREFIX=$TOP/build \
	-DAVIDEMUX_SOURCE_DIR=$TOP/ \
	-DAVIDEMUX_CORECONFIG_DIR=$TOP/build/config \
	%{!?with_arts:-DARTS=0} \
	%{!?with_esd:-DESD=0} \
	%{!?with_amr:-DOPENCORE_AMRNB=0 -DOPENCORE_AMRWB=0} \
	%{!?with_gtk:-DGTK=0} \
	%{!?with_qt4:-DQT4=0} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_bindir},%{_mandir}/man1}
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C plugins/build install \
	DESTDIR=$RPM_BUILD_ROOT

chmod +x $RPM_BUILD_ROOT%{_libdir}/lib*.so*

mv $RPM_BUILD_ROOT%{_bindir}/avidemux2{_cli,}
cp -a man/avidemux.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}-gtk.desktop
cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}/%{name}-qt4.desktop
cp -a avidemux_icon.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

# make install doesn't install these
install -p plugins/build/ADM_videoEncoder/common/pluginOptions/libADM_vidEnc_pluginOptions.so $RPM_BUILD_ROOT%{_libdir}
install -p plugins/build/ADM_videoEncoder/common/xvidRateCtl/libADM_xvidRateCtl.so $RPM_BUILD_ROOT%{_libdir}
install -p plugins/build/ADM_videoEncoder/ADM_vidEnc_mpeg2enc/mpeg2enc/libmpeg2enc.so $RPM_BUILD_ROOT%{_libdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post ui-gtk
%update_desktop_database

%post ui-qt4
%update_desktop_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_bindir}/avidemux2
%attr(755,root,root) %{_libdir}/libADM5avcodec.so.52
%attr(755,root,root) %{_libdir}/libADM5avformat.so.52
%attr(755,root,root) %{_libdir}/libADM5avutil.so.50
%attr(755,root,root) %{_libdir}/libADM5postproc.so.51
%attr(755,root,root) %{_libdir}/libADM5swscale.so.0
%attr(755,root,root) %{_libdir}/libADM_UICli.so
%attr(755,root,root) %{_libdir}/libADM_core.so
%attr(755,root,root) %{_libdir}/libADM_coreAudio.so
%attr(755,root,root) %{_libdir}/libADM_coreImage.so
%attr(755,root,root) %{_libdir}/libADM_coreUI.so
%attr(755,root,root) %{_libdir}/libADM_render_cli.so
%attr(755,root,root) %{_libdir}/libADM_smjs.so
%attr(755,root,root) %{_libdir}/libADM_vidEnc_pluginOptions.so
%attr(755,root,root) %{_libdir}/libADM_xvidRateCtl.so
%attr(755,root,root) %{_libdir}/libmpeg2enc.so

%dir %{_libdir}/ADM_plugins
%dir %{_libdir}/ADM_plugins/audioDecoder
%dir %{_libdir}/ADM_plugins/audioDevices
%dir %{_libdir}/ADM_plugins/audioEncoders
%dir %{_libdir}/ADM_plugins/videoEncoder
%dir %{_libdir}/ADM_plugins/videoEncoder/avcodec
%dir %{_libdir}/ADM_plugins/videoEncoder/avcodec/mpeg-1
%dir %{_libdir}/ADM_plugins/videoEncoder/avcodec/mpeg-2
%dir %{_libdir}/ADM_plugins/videoEncoder/mpeg2enc
%dir %{_libdir}/ADM_plugins/videoEncoder/mpeg2enc/mpeg-1
%dir %{_libdir}/ADM_plugins/videoEncoder/mpeg2enc/mpeg-2
%dir %{_libdir}/ADM_plugins/videoEncoder/x264
%dir %{_libdir}/ADM_plugins/videoEncoder/xvid
%dir %{_libdir}/ADM_plugins/videoFilter

%{_libdir}/ADM_plugins/videoEncoder/avcodec/Flv1Param.xsd
%{_libdir}/ADM_plugins/videoEncoder/avcodec/H263Param.xsd
%{_libdir}/ADM_plugins/videoEncoder/avcodec/MjpegParam.xsd
%{_libdir}/ADM_plugins/videoEncoder/avcodec/Mpeg1Param.xsd
%{_libdir}/ADM_plugins/videoEncoder/avcodec/Mpeg2Param.xsd
%{_libdir}/ADM_plugins/videoEncoder/avcodec/Mpeg4aspParam.xsd
%{_libdir}/ADM_plugins/videoEncoder/avcodec/mpeg-1/Video*CD.xml
%{_libdir}/ADM_plugins/videoEncoder/avcodec/mpeg-2/DVD.xml
%{_libdir}/ADM_plugins/videoEncoder/avcodec/mpeg-2/Super*Video*CD.xml
%{_libdir}/ADM_plugins/videoEncoder/mpeg2enc/Mpeg1Param.xsd
%{_libdir}/ADM_plugins/videoEncoder/mpeg2enc/Mpeg2Param.xsd
%{_libdir}/ADM_plugins/videoEncoder/mpeg2enc/mpeg-1/Video*CD.xml
%{_libdir}/ADM_plugins/videoEncoder/mpeg2enc/mpeg-2/DVD.xml
%{_libdir}/ADM_plugins/videoEncoder/mpeg2enc/mpeg-2/Super*Video*CD.xml
%{_libdir}/ADM_plugins/videoEncoder/x264/Apple*.xml
%{_libdir}/ADM_plugins/videoEncoder/x264/Microsoft*.xml
%{_libdir}/ADM_plugins/videoEncoder/x264/Sony*.xml
%{_libdir}/ADM_plugins/videoEncoder/x264/x264Param.xsd
%{_libdir}/ADM_plugins/videoEncoder/xvid/XvidParam.xsd

%attr(755,root,root) %{_libdir}/ADM_plugins/audioDecoder/libADM_ad_Mad.so
%attr(755,root,root) %{_libdir}/ADM_plugins/audioDecoder/libADM_ad_a52.so
%attr(755,root,root) %{_libdir}/ADM_plugins/audioDecoder/libADM_ad_faad.so
%attr(755,root,root) %{_libdir}/ADM_plugins/audioDecoder/libADM_ad_vorbis.so
%if %{with amr}
%attr(755,root,root) %{_libdir}/ADM_plugins/audioDecoder/libADM_ad_opencore_amrnb.so
%attr(755,root,root) %{_libdir}/ADM_plugins/audioDecoder/libADM_ad_opencore_amrwb.so
%endif

%attr(755,root,root) %{_libdir}/ADM_plugins/audioDevices/libADM_av_alsa.so
%{?with_arts:%attr(755,root,root) %{_libdir}/ADM_plugins/audioDevices/libADM_av_arts.so}
%{?with_esd:%attr(755,root,root) %{_libdir}/ADM_plugins/audioDevices/libADM_av_esd.so}
%attr(755,root,root) %{_libdir}/ADM_plugins/audioDevices/libADM_av_jack.so
%attr(755,root,root) %{_libdir}/ADM_plugins/audioDevices/libADM_av_oss.so
%attr(755,root,root) %{_libdir}/ADM_plugins/audioDevices/libADM_av_pulseAudioSimple.so
%attr(755,root,root) %{_libdir}/ADM_plugins/audioDevices/libADM_av_sdl.so

%attr(755,root,root) %{_libdir}/ADM_plugins/audioEncoders/libADM_ae_faac.so
%attr(755,root,root) %{_libdir}/ADM_plugins/audioEncoders/libADM_ae_lame.so
%attr(755,root,root) %{_libdir}/ADM_plugins/audioEncoders/libADM_ae_lav_ac3.so
%attr(755,root,root) %{_libdir}/ADM_plugins/audioEncoders/libADM_ae_lav_mp2.so
%attr(755,root,root) %{_libdir}/ADM_plugins/audioEncoders/libADM_ae_pcm.so
%attr(755,root,root) %{_libdir}/ADM_plugins/audioEncoders/libADM_ae_twolame.so
%attr(755,root,root) %{_libdir}/ADM_plugins/audioEncoders/libADM_ae_vorbis.so

%attr(755,root,root) %{_libdir}/ADM_plugins/videoEncoder/libADM_vidEnc_avcodec.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoEncoder/libADM_vidEnc_mpeg2enc.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoEncoder/libADM_vidEnc_x264.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoEncoder/libADM_vidEnc_xvid.so

%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_addborders.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_asharp_cli.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_avisynthResize_cli.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_avsfilter.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_blackenBorders.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_blendDgBob.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_blendRemoval.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_chromashift_cli.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_cnr2_cli.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_colorYUV_cli.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_contrast_cli.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_crop_cli.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_decimate.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_Deinterlace.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_Delta.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_denoise3dhq.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_denoise3d.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_Denoise.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_dropOut.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_eq2_cli.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_equalizer_cli.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_fade.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_fastconvolutiongauss.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_fastconvolutionmean.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_fastconvolutionmedian.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_fastconvolutionsharpen.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_FluxSmooth.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_forcedPP.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_Hue_cli.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_hzStackField.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_keepEvenField.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_keepOddField.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_kernelDeint.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_largemedian.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_lavDeinterlace.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_logo.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_lumaonly.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_mcdeint.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_mergeField.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_Mosaic.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_mpdelogo_cli.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_mplayerResize_cli.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_mSharpen.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_mSmooth.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_palShift.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_Pulldown.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_resampleFps.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_reverse.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_rotate.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_separateField.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_smartPalShift.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_smartSwapField.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_soften.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_ssa.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_Stabilize.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_stackField.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_sub_cli.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_swapField.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_swapuv.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_tdeint.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_telecide.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_Tisophote.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_unstackField.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_vflip.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_vlad.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_Whirl.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_yadif.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vidChromaU.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vidChromaV.so

%dir %{_datadir}/ADM_addons
%dir %{_datadir}/ADM_addons/avsfilter
%{_datadir}/ADM_addons/avsfilter/avsload.exe
%{_datadir}/ADM_addons/avsfilter/pipe_source.dll

%{_mandir}/man1/avidemux.1*
%{_pixmapsdir}/*.png

%{_datadir}/ADM_scripts

%dir %{_datadir}/%{name}

%if %{with gtk}
%files ui-gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/avidemux2_gtk
%{_desktopdir}/%{name}-gtk.desktop
%attr(755,root,root) %{_libdir}/libADM_UIGtk.so
%attr(755,root,root) %{_libdir}/libADM_render_gtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoEncoder/x264/libADM_vidEnc_x264_Gtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoEncoder/xvid/libADM_vidEnc_Xvid_Gtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_asharp_gtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_avisynthResize_gtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_chromaShift_gtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_cnr2_gtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_colorYUV_gtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_contrast_gtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_Crop_gtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_eq2_gtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_equalizer_gtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_hue_gtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_mpdelogo_gtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_mplayerResize_gtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_sub_gtk.so
%endif

%if %{with qt4}
%files ui-qt4
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/avidemux2_qt4
%{_desktopdir}/%{name}-qt4.desktop
%attr(755,root,root) %{_libdir}/libADM_UIQT4.so
%attr(755,root,root) %{_libdir}/libADM_render_qt4.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoEncoder/x264/libADM_vidEnc_x264_Qt.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoEncoder/xvid/libADM_vidEnc_Xvid_Qt.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_asharp_qt4.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_avisynthResize_qt4.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_chromaShift_qt4.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_cnr2_qt4.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_colorYUV_qt4.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_contrast_qt4.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_crop_qt4.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_curveEditor_qt4.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_eq2_qt4.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_equalizer_qt4.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_hue_qt4.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_mpdelogo_qt4.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_mplayerResize_qt4.so
%attr(755,root,root) %{_libdir}/ADM_plugins/videoFilter/libADM_vf_sub_qt4.so

%dir %{_datadir}/%{name}/i18n
%lang(ca) %{_datadir}/%{name}/i18n/*_ca.qm
%lang(cs) %{_datadir}/%{name}/i18n/*_cs.qm
%lang(de) %{_datadir}/%{name}/i18n/*_de.qm
%lang(el) %{_datadir}/%{name}/i18n/*_el.qm
%lang(es) %{_datadir}/%{name}/i18n/*_es.qm
%lang(fr) %{_datadir}/%{name}/i18n/*_fr.qm
%lang(it) %{_datadir}/%{name}/i18n/*_it.qm
%lang(ja) %{_datadir}/%{name}/i18n/*_ja.qm
%lang(pl) %{_datadir}/%{name}/i18n/*_pl.qm
%lang(pt_BR) %{_datadir}/%{name}/i18n/*_pt_BR.qm
%lang(ru) %{_datadir}/%{name}/i18n/*_ru.qm
%lang(sr) %{_datadir}/%{name}/i18n/*_sr.qm
%lang(sr@latin) %{_datadir}/%{name}/i18n/*_sr@latin.qm
%lang(tr) %{_datadir}/%{name}/i18n/*_tr.qm
%lang(zh_TW) %{_datadir}/%{name}/i18n/*_zh_TW.qm
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: avidemux.spec,v $
Revision 1.107  2012/03/04 09:07:36  arekm
- release 9

Revision 1.106  2012/03/03 18:45:10  arekm
- release 8

Revision 1.105  2011/12/22 09:30:35  lisu
- rel 7

Revision 1.104  2011/09/18 22:06:09  glen
- update-desktop-database (.desktop specifies MimeType)

Revision 1.103  2011/07/07 13:07:42  lisu
- install missing files manually
- rel 5

Revision 1.102  2011/07/07 12:00:26  lisu
- reversed last commit log (I don't know why avidemux didn't build)
- use sed macro

Revision 1.101  2011/07/06 20:44:41  lisu
- dropped rest of cmake options provided by cmake macro

Revision 1.100  2011/07/06 20:42:32  lisu
- more missing dirs

Revision 1.99  2011/07/06 16:43:18  lisu
- added missing dirs
- rel 4

Revision 1.98  2011/07/06 13:50:37  lisu
- fixed files

Revision 1.97  2011/07/06 12:39:11  lisu
- package rest files
- rel 3

Revision 1.96  2011/07/06 07:03:16  lisu
- rel 2

Revision 1.95  2011/07/04 17:36:11  lisu
- fix build with new x264

Revision 1.94  2011/07/01 12:36:26  lisu
- updated to 2.5.5
- qtlocale.patch is now obsolete

Revision 1.93  2011/03/29 07:10:50  arekm
- release 8

Revision 1.92  2010/08/25 09:36:33  hawk
- release 7

Revision 1.91  2010/06/02 23:46:54  baggins
- rel 6
- reverse esd bcond, esound is dead

Revision 1.90  2010/05/22 09:31:56  baggins
- rel 5

Revision 1.89  2010/05/22 08:39:14  baggins
- attempt to fix mmx asm (http://gcc.gnu.org/bugzilla/show_bug.cgi?id=44237)

Revision 1.88  2010/04/29 21:07:54  baggins
- rel 4
- moved ui-independent libs to main package

Revision 1.87  2010/04/29 20:43:43  baggins
- rel 3
- builds with some asm disabled on x86

Revision 1.86  2010/04/29 19:33:31  baggins
- workaround for gcc/gas fuckup with MMX movq on x86

Revision 1.85  2010/04/26 07:40:07  arekm
- release 2

Revision 1.84  2010/03/27 09:02:15  pluto
- inverts arts bcond, release 1.

Revision 1.83  2010/02/03 12:49:03  sparky
- readded BR: libx264-devel; todo dropped
- fixed lrelease detection, BR: qt4-linguist
- droped unused BR: libtool, xorg-lib-libXt-devel
- commented out unused BR: a52dec-libs-devel, js-devel(threads), libdts-devel,
  libmad-devel, libmpeg3-devel -- some may be wrong, please revise

Revision 1.82  2010/02/03 09:15:20  glen
- up to 2.5.2, some libdir fixes upstream, bunch of new files

Revision 1.81  2009/12/17 22:28:28  sparky
- todo updated

Revision 1.80  2009/12/17 21:32:40  sparky
- use gtk and qt4 bconds correctly, no more cmake magick
- fixed other bconds

Revision 1.79  2009/12/17 21:07:44  sparky
- fixed gtk and qt4 bconds: skip autodetection
- dropped BR: ffmpeg-devel - internal version is used
- dropped sse3 and ssse3 bcond remnants - not used

Revision 1.78  2009/12/17 20:39:18  sparky
- fix build without qt4: .qm translations belong to qt UI
- BRequire gtk+2-devel only if building with gtk enabled

Revision 1.77  2009/12/17 20:05:28  glen
- simplify plugins building (idea from archlinux), no need for -L patch anymore

Revision 1.76  2009/12/17 19:04:48  sparky
- amr switched to opencore-amr; enabled by default

Revision 1.75  2009/12/17 18:35:25  glen
- gtk bcond (neither work)

Revision 1.74  2009/12/17 18:24:23  sparky
- BR: pulseaudio-devel, libxslt-progs, qt4-qmake,
  qt-linguist (should require qt4-linguist)

Revision 1.73  2009/12/17 17:46:22  glen
- merge 2.5.1 from DEVEL

Revision 1.71.2.14  2009/12/17 17:45:14  glen
- fair enough (better this than nothing in th-main)

Revision 1.71.2.13  2009/12/17 17:41:14  glen
- add ui based .desktop file
- fix qt4 packaging

Revision 1.71.2.12  2009/12/17 17:31:21  glen
- ui-gtk/ui-qt4 packages

Revision 1.71.2.11  2009/12/17 17:16:50  glen
- package plugin files

Revision 1.71.2.10  2009/12/17 16:59:09  glen
- lib64 fix

Revision 1.71.2.9  2009/12/17 15:48:44  glen
- build plugins, install avidemux manual

Revision 1.71.2.8  2009/12/16 21:17:56  glen
- package plugin dirs

Revision 1.71.2.7  2009/12/16 20:11:38  glen
- libdir fix, missing i18n dir
- deps from atrpms spec

Revision 1.71.2.6  2009/12/16 19:07:08  glen
- qtlocale patch from atrpms

Revision 1.71.2.5  2009/12/16 16:16:44  glen
- up to 2.5.1

Revision 1.71.2.4  2009/12/16 14:54:10  glen
- fix libva.so.1 autodep by chmod +x all shared libs (cmake - cross platform make broken system)

Revision 1.71.2.3  2009/12/16 14:50:28  glen
- builds now

Revision 1.71.2.2  2009/07/07 23:07:57  glen
- gcc and types fixes

Revision 1.71.2.1  2009/07/07 21:50:59  glen
- prepare for 2.5.0

Revision 1.71  2009/04/14 12:03:34  charles
- updated to 2.4.4
- removed -x264.patch (applied upstream)

Revision 1.70  2008/10/26 06:56:58  arekm
- rel 3; fix x264 build

Revision 1.69  2008/10/25 22:43:27  wolf
- rel 3

Revision 1.68  2008/10/13 11:49:44  sls
- use fresh libtool.m4 to avoid libtool version mismatch

Revision 1.67  2008/08/30 21:54:14  wolvverine
- rel.2: libx264-0.1.2-1.20080816_2245.2, STBR

Revision 1.66  2008/08/17 18:48:00  charles
- removed -c++.patch (applied upstream); typo

Revision 1.65  2008/08/17 09:09:36  charles
- updated to 2.4.3
- added new bconds and SSE3 support
- BR: libsamplerate-devel, xorg-lib-libXt-devel, xorg-proto-xextproto-devel

Revision 1.64  2008/06/29 10:01:30  arekm
- some fixes for c++ build

Revision 1.63  2008/06/28 19:54:51  arekm
- release 2

Revision 1.62  2008-03-31 03:35:01  sls
- qt4-based interface is ready

Revision 1.61  2008-03-31 03:03:41  sls
- rel. 1

Revision 1.60  2008-03-31 02:44:43  sls
- ver. 2.4.1

Revision 1.59  2008-03-12 10:27:40  tommat
- added sparc64 patch

Revision 1.58  2008-01-04 13:30:20  qboosh
- cleanup
- fixed amrnb bcond to actually do something, unified its name to "amr"
- GPL v2+

Revision 1.57  2008-01-04 11:57:26  sls
- added bcond amrnb
- BR: libx264-devel
- TODO entry
- workaround for parallel building

Revision 1.56  2008-01-04 10:47:23  sls
- enable parallel building

Revision 1.55  2008-01-04 10:39:05  sls
- dts-internal.patch comes back

Revision 1.54  2008-01-04 10:15:33  sls
- rel. 1
- added TODO
- verbose files

Revision 1.53  2008-01-04 09:37:36  sls
- autoconf.patch comes back

Revision 1.52  2008-01-04 09:25:41  sls
- removed patches: as_needed.patch, compile.patch, dts_internal.patch
- temporary disabled autoconf.patch

Revision 1.51  2008-01-04 08:41:56  sls
- ver. 2.4 (NFY)

Revision 1.50  2007-11-15 06:26:42  wolvverine
- up rel to 3 for libx264-0.1.2-1.20071008_2245.1

Revision 1.49  2007-11-11 17:38:42  wolvverine
- up rel.2

Revision 1.48  2007/10/28 23:15:59  sls
- make -j1

Revision 1.47  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.46  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.45  2007/01/06 21:23:37  sls
- rel 1

Revision 1.44  2007/01/06 20:35:30  sls
- merged from DEVEL

Revision 1.43  2007/01/04 16:30:59  arekm
- better am/ac rebuild

Revision 1.42  2006/03/14 20:08:55  wolf
- 2.1.2

Revision 1.41  2006/03/12 22:48:20  freetz
- pass --with-newfaad to configure

Revision 1.40  2006/02/03 19:58:07  maciek2w
- updated to 2.1.1

Revision 1.39  2005/12/11 17:39:07  wolf
- 2.1.0

Revision 1.38  2005/10/09 16:05:17  wolf
- 2.1.0_step2

Revision 1.37  2005/09/25 17:41:33  glen
- ppc builder errors pasted to TODO

Revision 1.36  2005/09/25 11:00:48  glen
- changelog corrections (those are spaces)

Revision 1.35  2005/08/15 13:05:39  charles
- updated to 2.0.42

Revision 1.34  2005/05/28 16:21:13  charles
- BR alsa-lib-devel is back

Revision 1.33  2005/05/28 13:09:58  charles
- added avidemux.png
- s/perl/sed/
- BRs cleanups
- rel. 1

Revision 1.32  2005/05/27 14:58:25  charles
- restored changelog lost on update

Revision 1.31  2005/05/27 12:09:57  charles
- removed klingon lang
- cleanups

Revision 1.30  2005/05/27 11:32:48  charles
- updated to 2.0.40
- gettextize + ac/am, BR: autoconf
- rel. 0.1

Revision 1.29  2005/03/25 18:10:48  darekr
- BR: perl-base

Revision 1.28  2004/11/27 18:52:05  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.27  2004/08/28 22:53:40  grzegol
- updated to 2.0.28
- added desktop file

Revision 1.26  2004/07/23 13:02:27  grzegol
- updated to 2.0.26

Revision 1.25  2004/07/14 13:48:24  adgor
- config.sub refreshing

Revision 1.24  2004/07/05 16:09:37  grzegol
- removed TODO
- rel. 1

Revision 1.23  2004/07/05 14:29:41  qboosh
- hacks to fix build (kdevelop's ac/am broken as usual), use optflags

Revision 1.22  2004/07/03 22:09:19  grzegol
- rel down to 0.1 because po files are not installed and I don't know
  how to fix this

Revision 1.21  2004/07/03 20:50:59  grzegol
- updated to 2.0.24
- removed outdated Makefile patch

Revision 1.20  2004/05/13 12:40:27  pbern
- BR: libstdc++-devel

Revision 1.19  2004/03/06 23:26:22  adamg
- updated to 2.0.22
- added -autoconf and -Makefile patches
- work by Pawcioos

Revision 1.18  2003/12/15 19:46:45  wrobell
- rel. 2 to rebuild with xvid 1.0.0 beta2 on nest

Revision 1.17  2003/12/09 14:38:59  qboosh
- sorted BRs; BR: artsc-devel (used if found)

Revision 1.16  2003/11/06 13:41:50  wrobell
- ver. 2.0.18

Revision 1.15  2003/09/27 17:46:03  ankry
- fixed pl

Revision 1.14  2003/09/27 10:25:17  krzak
- up to 2.0.16

Revision 1.13  2003/08/06 16:31:54  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.12  2003/07/08 10:28:54  qboosh
- no macros in URL field, other cleanups

Revision 1.11  2003/07/07 04:23:50  blues
- many small fixes, inspired by kloczek

Revision 1.10  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:45:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/21 18:37:13  misi3k
- updated to 0.9

Revision 1.7  2003/01/24 17:43:06  rrw
- version 0.90pre30;

Revision 1.6  2003/01/18 22:45:26  juandon
- removed two lines with define

Revision 1.5  2002/12/28 22:10:30  wolf
- 0.9pre26

Revision 1.4  2002/06/29 20:28:41  wrobell
- ver. 0.9pre8

Revision 1.3  2002/06/17 10:56:01  qboosh
- better pl

Revision 1.2  2002/06/17 10:45:25  wrobell
- 0.9pre6

Revision 1.1  2002/06/13 13:35:27  wrobell
- based on template
